org.keycloak.models.sessions.infinispan.entities

## Class ClientSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.SessionEntity
  - - org.keycloak.models.sessions.infinispan.entities.ClientSessionEntity

- All Implemented Interfaces:
    Serializable

      public class ClientSessionEntity
      extends SessionEntity

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `String` | `getAuthMethod()`
    `String` | `getClient()`
    `Map<String,String>` | `getNotes()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRoles()`
    `String` | `getState()`
    `int` | `getTimestamp()`
    `String` | `getUserSession()`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setClient(String client)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setState(String state)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSession(String userSession)`

    - ### Methods inherited from class org.keycloak.models.sessions.infinispan.entities.SessionEntity

      `getId, getRealm, setId, setRealm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionEntity

          public ClientSessionEntity()

  - ### Method Detail

    - #### getClient

          public String getClient()

    - #### setClient

          public void setClient(String client)

    - #### getUserSession

          public String getUserSession()

    - #### setUserSession

          public void setUserSession(String userSession)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getAction

          public ClientSessionModel.Action getAction()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

Copyright © 2015. All Rights Reserved.